<script setup lang="ts">
import { useProductStore } from '@/stores/product'
import { ref } from 'vue'

const productStore = useProductStore()

const imageUrl = ref(null)
const imageSize = ref({ width: 200, height: 200 })

const handleFileChange = (event: { target: { files: any[] } }) => {
  const file = event.target.files[0]

  if (file) {
    // สร้าง URL ของไฟล์
    imageUrl.value = URL.createObjectURL(file)
  }
}
</script>

<template>
  <v-dialog v-model:model-value="productStore.dialog" style="width: 1000px">
    <v-card class="pa-5" title="Add Product">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12">
              <div>
                <input type="file" @change="handleFileChange" />

                <img
                  v-if="imageUrl"
                  :src="imageUrl"
                  alt="รูปภาพ"
                  :style="{ width: imageSize.width + 'px', height: imageSize.height + 'px' }"
                />
              </div>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="productStore.productItem.name" label="Name"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="productStore.productItem.price" label="Price"> </v-text-field>
            </v-col>

            <v-col cols="12">
              <label for="Type">Type</label>
              <v-select
                v-model="productStore.productItem.type"
                :items="[
                  { title: 'Coffee', value: 'coffee' },
                  { title: 'Bakery', value: 'bakery' },
                  { title: 'Food', value: 'food' }
                ]"
                label="type"
                :return-object="false"
              ></v-select>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="productStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="productStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<style scoped></style>
